Sun GlassFish(tm) Message Queue v4.4

## javax.jms
Class MessageNotReadableException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.jms.JMSException
                  javax.jms.MessageNotReadableException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  MessageNotReadableException

    public class MessageNotReadableException

extends JMSException

This exception must be thrown when a JMS client attempts to read a write-only message.

See Also:
  Serialized Form

Constructor Summary
`MessageNotReadableException(String reason)` Constructs a `MessageNotReadableException` with the specified reason.
`MessageNotReadableException(String reason, String errorCode)` Constructs a `MessageNotReadableException` with the specified reason and error code.

Method Summary

Methods inherited from class javax.jms.JMSException
`getErrorCode, getLinkedException, setLinkedException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MessageNotReadableException

    public MessageNotReadableException(String reason,
                                       String errorCode)

  Constructs a `MessageNotReadableException` with the specified reason and error code.

  Parameters:
    `reason` - a description of the exception
    `errorCode` - a string specifying the vendor-specific error code

### MessageNotReadableException

    public MessageNotReadableException(String reason)

  Constructs a `MessageNotReadableException` with the specified reason. The error code defaults to null.

  Parameters:
    `reason` - a description of the exception

Sun GlassFish(tm) Message Queue v4.4

Copyright 2009 Sun Microsystems, Inc. 4150 Network Circle,
Santa Clara, California, 95054, U.S.A. All Rights Reserved.